## org.h2.mvstore
Class MVMapConcurrent<K,V>

    java.lang.Object
      java.util.AbstractMap<K,V>
          org.h2.mvstore.MVMap<K,V>
              org.h2.mvstore.MVMapConcurrent<K,V>

Type Parameters:
  `K` - the key type
  `V` - the value type

All Implemented Interfaces:
  java.util.concurrent.ConcurrentMap<K,V>, java.util.Map<K,V>

    public class MVMapConcurrent<K,V>

extends MVMap<K,V>

A class used for backward compatibility.

Nested Class Summary
`static class` `MVMapConcurrent.Builder<K,V>` A builder for this class.

Nested classes/interfaces inherited from class org.h2.mvstore.MVMap
`MVMap.MapBuilder<M extends MVMap<K,V>,K,V>`

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary

Fields inherited from class org.h2.mvstore.MVMap
`root, store, writeVersion`

Constructor Summary
`MVMapConcurrent(DataType keyType, DataType valueType)`

Method Summary

Methods inherited from class org.h2.mvstore.MVMap

`areValuesEqual, beforeWrite, binarySearch, binarySearchPage, ceilingKey, clear, containsKey, cursor, entrySet, equals, firstKey, floorKey, get, getChildPageCount, getCreateVersion, getFirstLast, getId, getKey, getKeyIndex, getKeyType, getMinMax, getName, getRoot, getStore, getType, getValueType, getVersion, hashCode, higherKey, init, isClosed, isEmpty, isReadOnly, isVolatile, keyIterator, keyList, keySet, lastKey, lowerKey, newRoot, openVersion, put, put, putIfAbsent, remove, remove, remove, removePage, replace, replace, setVolatile, size, sizeAsLong, splitRootIfNeeded, toString`

Methods inherited from class java.util.AbstractMap
`clone, containsValue, putAll, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`containsValue, putAll, values`

Constructor Detail

### MVMapConcurrent

    public MVMapConcurrent(DataType keyType,
                           DataType valueType)